Package org.jboss.modules

# Class NativeLibraryResourceLoader

java.lang.Object
org.jboss.modules.AbstractResourceLoader
org.jboss.modules.NativeLibraryResourceLoader

All Implemented Interfaces:
  `AutoCloseable`, `ResourceLoader`

public class NativeLibraryResourceLoader extends AbstractResourceLoader
A base class for resource loaders which can load native libraries.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`NativeLibraryResourceLoader(File root)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getArchName()`
Get the detected architecture name for this platform.
`String`
`getLibrary(String name)`
Get the absolute physical filesystem path for a library with the given name.
`URI`
`getLocation()`
Get the base location of the resources in this loader (if any).
`File`
`getRoot()`
Get the filesystem root of the resource loader.

### Methods inherited from class org.jboss.modules.AbstractResourceLoader

`getClassSpec, getPackageSpec, getPackageSpec, getPaths, getResource, getRootName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.modules.ResourceLoader

`close, createSubloader`

## Constructor Details

### NativeLibraryResourceLoader

public NativeLibraryResourceLoader(File root)
Construct a new instance.

Parameters:
  `root` - the filesystem root of the resource loader

## Method Details

### getLibrary

public String getLibrary(String name)
Get the absolute physical filesystem path for a library with the given name. The resultant path should be path-separated using "`/`" characters.

Specified by:
  `getLibrary` in interface `ResourceLoader`
Overrides:
  `getLibrary` in class `AbstractResourceLoader`
Parameters:
  `name` - the name
Returns:
  the path or `null` if the library is not present

### getLocation

public URI getLocation()
Description copied from interface: `ResourceLoader`
Get the base location of the resources in this loader (if any). If the location is not known, or the resource loader does not support locations, or the resource loader does not support this method, `null` is returned.

Returns:
  the base location of the resources in this loader, or `null` if not available

### getRoot

public File getRoot()
Get the filesystem root of the resource loader.

Returns:
  the filesystem root of the resource loader

### getArchName

public static String getArchName()
Get the detected architecture name for this platform.

Returns:
  the architecture name